com.ihr.xbrl.pojo

## Class XBRLItem

- java.lang.Object
- - com.ihr.xbrl.pojo.XMLNode
  - - com.ihr.xbrl.pojo.XMLFragment
    - - com.ihr.xbrl.pojo.XBRLConcept
      - - com.ihr.xbrl.pojo.XBRLItem

- All Implemented Interfaces:
    HasId, java.io.Serializable

      public class XBRLItem
      extends XBRLConcept

  The Class XBRLItem.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `get_default()` Gets the _default.
    `java.lang.String` | `getBalance()` Gets the balance.
    `java.lang.String` | `getPeriodType()` Gets the period type.
    `boolean` | `isMonetaryType()` Checks if is monetary type.
    `boolean` | `isNumericType()` Checks if is numeric type.
    `void` | `set_default(java.lang.String _default)` Sets the _default.
    `void` | `setBalance(java.lang.String balance)` Sets the balance.
    `void` | `setHash(java.lang.Integer value)` Method used by hibernate to set the value.
    `void` | `setMonetaryType(boolean isMonetaryType)` Sets the monetary type.
    `void` | `setNumericType(boolean isNumericType)` Sets the numeric type.
    `void` | `setPeriodType(java.lang.String periodType)` Sets the period type.

    - ### Methods inherited from class com.ihr.xbrl.pojo.XBRLConcept

      `equals, get_final, getBlock, getConceptName, getFixed, getFrom, getParent, getSubstitutionGroup, getTo, getType, hashCode, is_abstract, isNillable, set_abstract, set_final, setBlock, setConceptName, setFixed, setFrom, setNillable, setParent, setSubstitutionGroup, setTo, setType`

    - ### Methods inherited from class com.ihr.xbrl.pojo.XMLFragment

      `addAttribute, addChildren, getAttributes, getChildren, getNamespaces, removeAttribute, removeChildren, setNamespaces`

    - ### Methods inherited from class com.ihr.xbrl.pojo.XMLNode

      `getId, getName, getValue, setHash, setId, setName, setValue`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLItem

          public XBRLItem()

  - ### Method Detail

    - #### isNumericType

          public boolean isNumericType()

      Checks if is numeric type.
      Returns:
        the isNumericType

    - #### setNumericType

          public void setNumericType(boolean isNumericType)

      Sets the numeric type.
      Parameters:
        `isNumericType` - the isNumericType to set

    - #### isMonetaryType

          public boolean isMonetaryType()

      Checks if is monetary type.
      Returns:
        the isMonetaryType

    - #### setMonetaryType

          public void setMonetaryType(boolean isMonetaryType)

      Sets the monetary type.
      Parameters:
        `isMonetaryType` - the isMonetaryType to set

    - #### get_default

          public java.lang.String get_default()

      Gets the _default.
      Returns:
        the _default

    - #### set_default

          public void set_default(java.lang.String _default)

      Sets the _default.
      Parameters:
        `_default` - the _default to set

    - #### getBalance

          public java.lang.String getBalance()

      Gets the balance.
      Returns:
        the balance

    - #### setBalance

          public void setBalance(java.lang.String balance)

      Sets the balance.
      Parameters:
        `balance` - the balance to set

    - #### getPeriodType

          public java.lang.String getPeriodType()

      Gets the period type.
      Returns:
        the periodType

    - #### setPeriodType

          public void setPeriodType(java.lang.String periodType)

      Sets the period type.
      Parameters:
        `periodType` - the periodType to set

    - #### setHash

          public void setHash(java.lang.Integer value)

      Method used by hibernate to set the value.
      Parameters:
        `value` - the new hash